Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::PLKRParser Class Reference

`#include <PLKRParser.h>`

Inheritance diagram for libebook::PLKRParser:

## Public Member Functions
| PLKRParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual | ~PLKRParser ()
Public Member Functions inherited from libebook::PDXParser
virtual | ~PDXParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| PLKRParser (const PLKRParser &other)
PLKRParser & | operator= (const PLKRParser &other)
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool last=false)
virtual void | readDataRecords ()
void | readMetadata (librevenge::RVNGInputStream *input, const PLKRRecordHeader &header)
void | readImage (librevenge::RVNGInputStream *input, const PLKRRecordHeader &header)
void | readText (librevenge::RVNGInputStream *input, const PLKRRecordHeader &header, const std::vector< unsigned > &paragraphLengths)
boost::shared_ptr< librevenge::RVNGInputStream > | getUncompressedStream (librevenge::RVNGInputStream *input) const

## Private Attributes
PLKRHeader * | m_header
PLKRParserState *const | m_state

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDXParser
| PDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Constructor & Destructor Documentation

## § PLKRParser() [1/2]

libebook::PLKRParser::PLKRParser | ( | const PLKRParser & | other | ) |
| private

## § PLKRParser() [2/2]

libebook::PLKRParser::PLKRParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## § ~PLKRParser()

libebook::PLKRParser::~PLKRParser | ( |  | ) |
| virtual

## Member Function Documentation

## § checkType()

bool libebook::PLKRParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

## § getUncompressedStream()

boost::shared_ptr< librevenge::RVNGInputStream > libebook::PLKRParser::getUncompressedStream | ( | librevenge::RVNGInputStream * | input | ) | const
| private

Referenced by readDataRecords().

## § operator=()

PLKRParser& libebook::PLKRParser::operator= | ( | const PLKRParser & | other | ) |
| private

## § readAppInfoRecord()

void libebook::PLKRParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| private virtual

Implements libebook::PDXParser.

## § readDataRecord()

void libebook::PLKRParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last = `false`
| ) |  |
| private virtual

Implements libebook::PDXParser.

## § readDataRecords()

void libebook::PLKRParser::readDataRecords | ( |  | ) |
| private virtual

Reimplemented from libebook::PDXParser.

## § readImage()

void libebook::PLKRParser::readImage | ( | librevenge::RVNGInputStream * | input,
|  | const PLKRRecordHeader & | header
| ) |  |
| private

Referenced by readDataRecords().

## § readIndexRecord()

void libebook::PLKRParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| private virtual

Implements libebook::PDXParser.

Referenced by PLKRParser().

## § readMetadata()

void libebook::PLKRParser::readMetadata | ( | librevenge::RVNGInputStream * | input,
|  | const PLKRRecordHeader & | header
| ) |  |
| private

Referenced by readDataRecords().

## § readSortInfoRecord()

void libebook::PLKRParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| private virtual

Implements libebook::PDXParser.

## § readText()

void libebook::PLKRParser::readText | ( | librevenge::RVNGInputStream * | input,
|  | const PLKRRecordHeader & | header,
|  | const std::vector< unsigned > & | paragraphLengths
| ) |  |
| private

Referenced by readDataRecords().

## Member Data Documentation

## § m_header

PLKRHeader* libebook::PLKRParser::m_header
| private

Referenced by getUncompressedStream(), PLKRParser(), readAppInfoRecord(), readIndexRecord(), and ~PLKRParser().

## § m_state

PLKRParserState* const libebook::PLKRParser::m_state
| private

Referenced by readDataRecords(), readImage(), readMetadata(), readText(), and ~PLKRParser().

The documentation for this class was generated from the following files:

- PLKRParser.h
- PLKRParser.cpp